org.aspectj.lang.reflect

## Interface InterTypeConstructorDeclaration

All Superinterfaces:
  InterTypeDeclaration

    public interface InterTypeConstructorDeclaration
    extends InterTypeDeclaration

Runtime representation of an inter-type constructor member declared within an aspect.

### Method Summary

Methods
`AjType<?>[]` `getExceptionTypes()` The declared exceptions thrown by this constructor
`java.lang.reflect.Type[]` `getGenericParameterTypes()` The generic constructor parameters
`AjType<?>[]` `getParameterTypes()` The constructor parameters

### Methods inherited from interface org.aspectj.lang.reflect.InterTypeDeclaration

`getDeclaringType, getModifiers, getTargetType`

### Method Detail

#### getParameterTypes

    AjType<?>[] getParameterTypes()

The constructor parameters

#### getGenericParameterTypes

    java.lang.reflect.Type[] getGenericParameterTypes()

The generic constructor parameters

#### getExceptionTypes

    AjType<?>[] getExceptionTypes()

The declared exceptions thrown by this constructor